Skip to main content
GET
/
v1
/
listening
/
history
Listening history
curl --request GET \
  --url https://api.rewind.rest/v1/listening/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "track": {
        "id": 1001,
        "name": "bad idea right?",
        "url": "https://www.last.fm/music/Olivia+Rodrigo/_/bad+idea+right%3F",
        "apple_music_url": null,
        "preview_url": null
      },
      "artist": {
        "id": 37,
        "name": "Olivia Rodrigo"
      },
      "album": {
        "id": 20,
        "name": "GUTS",
        "image": {
          "url": "https://cdn.rewind.rest/listening/albums/20/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
          "thumbhash": "HBkKHQi694WIeIiAh3Z3d2eAd4B3",
          "dominant_color": "#5c4a6d",
          "accent_color": "#c4a8d4"
        }
      },
      "scrobbled_at": "2026-03-18T22:14:04.000Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 50,
    "total": 123867,
    "total_pages": 2478
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.

Query Parameters

page
integer
default:1
Required range: x >= 1
Example:

1

limit
integer
default:50
Required range: 1 <= x <= 200
Example:

50

from
string
Example:

"2024-01-01T00:00:00.000Z"

to
string
Example:

"2024-12-31T23:59:59.999Z"

artist
string
Example:

"Radiohead"

album
string
Example:

"OK Computer"

Response

Scrobble history

data
object[]
required
pagination
object
required